Subject: Re: bug#22006: 24.5; Documentation string for while

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 01 Aug 2019 19:28:00 +0200

phs <[email-masked]> writes:

> M-h f while
>
> returns:
>
> "while is a special form in `C source code'.
>
> (while TEST BODY...)
>
> If TEST yields non-nil, eval BODY... and repeat.
> The order of execution is thus TEST, BODY, TEST, BODY and so on
> until TEST returns nil."
>
> The documentation does not say that the form itself returns nil.

(I'm going through old bug reports that have unfortunately not gotten
any responses.)

The manual does:

The value of a @code{while} form is always @code{nil}.

So I guess the doc string should, too.  I've now made this change in
Emacs 27.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no